Name: ipchains
Version: 1.3.10
Release: alt1
Serial: 1
%define scripts_version 1.1.2

Summary: Tools for managing Linux kernel v2.2 packet filtering capabilities
License: GPL
Group: System/Kernel and hardware
Url: http://netfilter.samba.org/%name

Source: %url/%name-%version.tar.bz2
Source1: %url/%name-scripts-%scripts_version.tar.bz2
Source2: %url/HOWTO.sgml
Source3: %name.init

Patch1: %name-1.3.10-rh-install_nonroot.patch
Patch2: %name-1.3.10-rh-owl-man.patch
Patch3: %name-1.3.10-alt-open_try_modprobe.patch
Patch4: %name-1.3.10-alt-dots.patch
Patch5: %name-1.3.10-owl-fixes.patch
Patch6: %name-scripts-1.1.2-rh-RETURN.patch
Patch7: %name-scripts-1.1.2-alt-ipfwadm-wrapper.patch

PreReq: service
Obsoletes: ipfwadm, %name-scripts

# Automatically added by buildreq on Mon Jun 30 2003
BuildRequires: groff-base OpenSP sgml-tools

%description
Tools found in this package are used to set up, maintain, and inspect the
ipchains-based IP packet filtering rules in the Linux kernel.

ipchains-based filtering is used on Linux 2.2.x kernels and is supported
for backwards compatibility on Linux 2.4.x kernels when they're built with
a non-default configuration option.

%prep
%setup -q -a1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0
%patch7 -p0

install -m644 %SOURCE2 .
bzip2 -9 *.ps
find %name-scripts-%scripts_version -type f -print0 |
	xargs -r0 %__grep -Zl '^#! /bin/bash' |
	xargs -r0 %__perl -pi -e 's,^#\! /bin/bash$,#\! /bin/sh,g'

%build
make clean
%make_build COPTS="$RPM_OPT_FLAGS"
sgml2html HOWTO.sgml
sgml2txt HOWTO.sgml
bzip2 -9f *.txt

%install
%__mkdir_p $RPM_BUILD_ROOT{/sbin,%_mandir/man{4,8}}
%make_install install SBIN=$RPM_BUILD_ROOT/sbin MANDIR=$RPM_BUILD_ROOT%_mandir
%__install -p -m755 %name-scripts-%scripts_version/{%name-restore,%name-save,ipfwadm-wrapper} \
	$RPM_BUILD_ROOT/sbin
%__install -p -m644 %name-scripts-%scripts_version/{%name-restore,%name-save,ipfwadm-wrapper}.8 \
	$RPM_BUILD_ROOT%_mandir/man8
%__ln_s -nf ipfwadm-wrapper $RPM_BUILD_ROOT/sbin/ipfwadm

%__install -pD -m755 %SOURCE3 $RPM_BUILD_ROOT%_initdir/%name

%post
%post_service %name

%preun
%preun_service %name

%files
%config %_initdir/*
/sbin/*
%_mandir/man?/*
%doc README *.html *.txt.* *.ps.*

%changelog
* Sun Jan 16 2005 Dmitry V. Levin <ldv@altlinux.org> 1:1.3.10-alt1
- Fixed compilation issues detected by gcc-3.4.3.

* Mon Jun 30 2003 Dmitry V. Levin <ldv@altlinux.org> 1.3.10-ipl7mdk
- Updated start/stop script to new rc scheme.
- Updated buildrequires.

* Sat Nov 30 2002 Dmitry V. Levin <ldv@altlinux.org> 1.3.10-ipl6mdk
- Do not warn if interface name contains one dot.

* Thu Oct 31 2002 Dmitry V. Levin <ldv@altlinux.org> 1.3.10-ipl5mdk
- Updated groff buildrequires.

* Sat Jun 01 2002 Dmitry V. Levin <ldv@altlinux.org> 1.3.10-ipl4mdk
- Modprobe ipchains module if required.
- More cleanups to the startup script.
- Additional convention enforcement on patch file names.
- Updated dependencies.
- Updated URL and description.

* Tue Apr 24 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.3.10-ipl3mdk
- Fixed startup script.

* Wed Feb 07 2001 Dmitry V. Levin <ldv@fandra.org> 1.3.10-ipl2mdk
- Merged RH patches.
- RE adaptions.

* Sat Dec 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.3.10-2mdk
- added "make clean" to cleanup builddir before compiling
- corrected typo: %%_initrdddir --> %%_initdir
- Geoff <snailtalk@mandrakesoft.com> -- add description for kernel 2.4.

* Sun Oct 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.10-1mdk
- shiny source aka 1.3.10.

* Wed Aug 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.9-8mdk
- use of _initrddir macro.

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.9-7mdk
- BM

* Mon Mar 28 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- add the initscript from RH
- add %post and %preun
- update ipchains-scripts
- fix building as root

* Thu Nov 04 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release
- Fixed source for new build environment

* Fri Aug 20 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.3.9

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- oboslete phantom ipchains-scripts package that's been floating around...

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Tue Nov 17 1998 Preston Brown <pbrown@redhat.com>
- initial cut.
